SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Multimedia)  >   Adobe Flash Player Vendors:   Adobe Systems Incorporated
Adobe Flash Player Flaws Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1025055
SecurityTracker URL:  http://securitytracker.com/id/1025055
CVE Reference:   CVE-2011-0558, CVE-2011-0559, CVE-2011-0560, CVE-2011-0561, CVE-2011-0571, CVE-2011-0572, CVE-2011-0573, CVE-2011-0574, CVE-2011-0575, CVE-2011-0577, CVE-2011-0578, CVE-2011-0607, CVE-2011-0608   (Links to External Site)
Updated:  Mar 21 2011
Original Entry Date:  Feb 9 2011
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 10.1.102.64 and prior; 10.1.106.16 and prior for Android
Description:   Multiple vulnerabilities were reported in Adobe Flash Player. A remote user can cause arbitrary code to be executed on the target user's system.

A remote user can create specially crafted Flash content that, when loaded by the target user, will trigger a buffer overflow or memory corruption error and execute arbitrary code on the target system. The code will run with the privileges of the target user.

Vitaliy Toropov (via iDefense), an Anonymous Researcher (via iDefense), Will Dormann of CERT, Bo Qu of Palo Alto Networks, Simon Raner of ACROS Security, Marc Schoenefeld of Red Hat Security Response Team, an anonymous reporter (via TippingPoint), and Tavis Ormandy of the Google Security Team reported these vulnerabilities.

Impact:   A remote user can create content that, when loaded by the target user, will execute arbitrary code on the target user's system.
Solution:   The vendor has issued a fix (10.2.152.26; 10.2.156.12 for Android).

The vendor's advisory is available at:

http://www.adobe.com/support/security/bulletins/apsb11-02.html

Vendor URL:  www.adobe.com/support/security/bulletins/apsb11-02.html (Links to External Site)
Cause:   Access control error, Boundary error
Underlying OS:  Android, Linux (Any), UNIX (macOS/OS X), UNIX (Solaris - SunOS), Windows (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Feb 9 2011 (Red Hat Issues Fix) Adobe Flash Player Flaws Lets Remote Users Execute Arbitrary Code
Red Hat has issued a fix for Red Hat Enterprise Linux 5 and 6.
Feb 15 2011 (Red Hat Issues Advisory) Adobe Flash Player Flaws Lets Remote Users Execute Arbitrary Code
Red Hat has issued an advisory for Red Hat Enterprise Linux 4.
Mar 21 2011 (Red Hat Issues Advisory) Adobe Flash Player Flaws Lets Remote Users Execute Arbitrary Code
Red Hat has issued an end-of-life advisory, disabling Flash Player 9 for Red Hat Enterprise Linux 4.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC